> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows.md).

# Escrows

- [useInitializeEscrow](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/useinitializeescrow.md): Deploy the escrow contract and define the escrow properties.
- [useUpdateEscrow](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/useupdateescrow.md): This endpoint allows you to change the properties of an escrow as long as a series of requirements are met, which will be mentioned in this section.
- [useFundEscrow](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usefundescrow.md): Allows users to deposit funds into an existing escrow contract, securing them until the agreed conditions are met.
- [useApproveMilestone](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/useapprovemilestone.md): Responsible for modifying the "flag" property of a specific milestone in the escrow to approve that milestone.
- [useChangeMilestoneStatus](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usechangemilestonestatus.md): Responsible for modifying the "status" property of a specific milestone in the escrow.
- [useReleaseFunds](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usereleasefunds.md): You release the escrow funds to the service provider through the approver.
- [useStartDispute](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usestartdispute.md): Responsible for setting the escrow in dispute state. Changes the value of the escrow's "disputed" flag property to true.
- [useResolveDispute](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/useresolvedispute.md): Resolves escrow disputes by distributing funds to the approver and service provider as determined by the dispute resolver.
- [useWithdrawRemainingFunds](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usewithdrawremainingfunds.md): In a multi-release escrow, when some funds are locked, you can use this hook to release the remaining funds


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
